Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian W. Damus2015-02-10 15:34:02 +0000
committerChristian W. Damus2015-02-11 14:31:33 +0000
commit0b8eef8e59cb91fb3b0348e3f82a474bf06e4ad4 (patch)
treed3196c2cd734d2bf4e683a1b3bc3a756c81114a2 /plugins/facet
parent47a579d759aa402fc63cde46060488164a4b5a44 (diff)
downloadorg.eclipse.papyrus-0b8eef8e59cb91fb3b0348e3f82a474bf06e4ad4.tar.gz
org.eclipse.papyrus-0b8eef8e59cb91fb3b0348e3f82a474bf06e4ad4.tar.xz
org.eclipse.papyrus-0b8eef8e59cb91fb3b0348e3f82a474bf06e4ad4.zip
Bug 459566: [Releng] Consider letting Tycho use JDT's project settings for compilation
https://bugs.eclipse.org/bugs/show_bug.cgi?id=459566 Add Tycho compiler's <useProjectSettings> to the plug-in management in the main top POM to ensure that each project's build preferences are respected. This does require removing a few {@link}/@see references to restricted API in doc comments to work around a bug in Tycho (459554). A great many plug-in projects using 1.6 source constructs (mostly @Override of abstract methods) failed to declare 1.6 requirement either in the BREE, or the classpath/compiler settings, or both. Change-Id: Ia73b592fff8d46eaf0bc628b6e21d1e758ff0c64
Diffstat (limited to 'plugins/facet')
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/.classpath14
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/.settings/org.eclipse.jdt.core.prefs3
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/META-INF/MANIFEST.MF2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/.classpath14
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/.settings/org.eclipse.jdt.core.prefs3
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/META-INF/MANIFEST.MF2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/.classpath14
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/.settings/org.eclipse.jdt.core.prefs3
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/META-INF/MANIFEST.MF2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/.classpath14
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/.settings/org.eclipse.jdt.core.prefs3
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/META-INF/MANIFEST.MF2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/.classpath14
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/.settings/org.eclipse.jdt.core.prefs3
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/META-INF/MANIFEST.MF2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/.classpath14
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/.settings/org.eclipse.jdt.core.prefs3
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/META-INF/MANIFEST.MF2
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/.classpath14
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/.settings/org.eclipse.jdt.core.prefs3
-rw-r--r--plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/META-INF/MANIFEST.MF2
21 files changed, 77 insertions, 56 deletions
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/.classpath b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/.classpath
index 45f024e850e..ad32c83a788 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/.classpath
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/.classpath
@@ -1,7 +1,7 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<classpath>
- <classpathentry kind="src" path="src"/>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5"/>
- <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
- <classpathentry kind="output" path="bin"/>
-</classpath>
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+ <classpathentry kind="src" path="src"/>
+ <classpathentry kind="output" path="bin"/>
+</classpath>
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/.settings/org.eclipse.jdt.core.prefs b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/.settings/org.eclipse.jdt.core.prefs
index 5b1ffe9ea49..1cb9110e623 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/.settings/org.eclipse.jdt.core.prefs
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/.settings/org.eclipse.jdt.core.prefs
@@ -1,5 +1,7 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
org.eclipse.jdt.core.compiler.problem.annotationSuperInterface=warning
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.autoboxing=warning
@@ -68,6 +70,7 @@ org.eclipse.jdt.core.compiler.problem.unusedParameterWhenOverridingConcrete=disa
org.eclipse.jdt.core.compiler.problem.unusedPrivateMember=warning
org.eclipse.jdt.core.compiler.problem.unusedWarningToken=warning
org.eclipse.jdt.core.compiler.problem.varargsArgumentNeedCast=warning
+org.eclipse.jdt.core.compiler.source=1.6
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_annotation=0
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/META-INF/MANIFEST.MF
index b9a8e1651f1..345188d3fcc 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.edit/META-INF/MANIFEST.MF
@@ -14,5 +14,5 @@ Bundle-Activator: org.eclipse.papyrus.emf.facet.efacet.provider.Efacet
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.emf.facet.efacet.edit;singlet
on:=true
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/.classpath b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/.classpath
index 45f024e850e..ad32c83a788 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/.classpath
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/.classpath
@@ -1,7 +1,7 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<classpath>
- <classpathentry kind="src" path="src"/>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5"/>
- <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
- <classpathentry kind="output" path="bin"/>
-</classpath>
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+ <classpathentry kind="src" path="src"/>
+ <classpathentry kind="output" path="bin"/>
+</classpath>
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/.settings/org.eclipse.jdt.core.prefs b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/.settings/org.eclipse.jdt.core.prefs
index 8c4a9d9cbc7..28743e02523 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/.settings/org.eclipse.jdt.core.prefs
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/.settings/org.eclipse.jdt.core.prefs
@@ -1,5 +1,7 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
org.eclipse.jdt.core.compiler.problem.annotationSuperInterface=warning
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.autoboxing=warning
@@ -71,6 +73,7 @@ org.eclipse.jdt.core.compiler.problem.unusedParameterWhenOverridingConcrete=disa
org.eclipse.jdt.core.compiler.problem.unusedPrivateMember=warning
org.eclipse.jdt.core.compiler.problem.unusedWarningToken=warning
org.eclipse.jdt.core.compiler.problem.varargsArgumentNeedCast=warning
+org.eclipse.jdt.core.compiler.source=1.6
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_annotation=0
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/META-INF/MANIFEST.MF
index 7028a626ab0..58c0d21bf27 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.efacet.editor/META-INF/MANIFEST.MF
@@ -20,5 +20,5 @@ Bundle-Activator: org.eclipse.papyrus.emf.facet.efacet.presentation.Ef
acetEditorPlugin$Implementation
Bundle-SymbolicName: org.eclipse.papyrus.emf.facet.efacet.editor;singl
eton:=true
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/.classpath b/plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/.classpath
index 2d1a4302f04..ad32c83a788 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/.classpath
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/.classpath
@@ -1,7 +1,7 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5"/>
- <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
- <classpathentry kind="src" path="src"/>
- <classpathentry kind="output" path="bin"/>
-</classpath>
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+ <classpathentry kind="src" path="src"/>
+ <classpathentry kind="output" path="bin"/>
+</classpath>
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/.settings/org.eclipse.jdt.core.prefs b/plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/.settings/org.eclipse.jdt.core.prefs
index 4d72ad12656..94d61f00da6 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/.settings/org.eclipse.jdt.core.prefs
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/.settings/org.eclipse.jdt.core.prefs
@@ -1,7 +1,10 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.6
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_annotation=0
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/META-INF/MANIFEST.MF
index 67d4400f9fb..cc36387eb73 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.query.java.sdk.ui/META-INF/MANIFEST.MF
@@ -26,5 +26,5 @@ Bundle-Activator: org.eclipse.papyrus.emf.facet.query.java.sdk.ui.inte
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.emf.facet.query.java.sdk.ui;s
ingleton:=true
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/.classpath b/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/.classpath
index 2d1a4302f04..ad32c83a788 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/.classpath
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/.classpath
@@ -1,7 +1,7 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5"/>
- <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
- <classpathentry kind="src" path="src"/>
- <classpathentry kind="output" path="bin"/>
-</classpath>
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+ <classpathentry kind="src" path="src"/>
+ <classpathentry kind="output" path="bin"/>
+</classpath>
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/.settings/org.eclipse.jdt.core.prefs b/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/.settings/org.eclipse.jdt.core.prefs
index 4d72ad12656..94d61f00da6 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/.settings/org.eclipse.jdt.core.prefs
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/.settings/org.eclipse.jdt.core.prefs
@@ -1,7 +1,10 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.6
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_annotation=0
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/META-INF/MANIFEST.MF
index b61d435b01c..b4ff758a396 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.core/META-INF/MANIFEST.MF
@@ -18,5 +18,5 @@ Bundle-Activator: org.eclipse.papyrus.emf.facet.query.ocl.core.interna
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.emf.facet.query.ocl.core;sing
leton:=true
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/.classpath b/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/.classpath
index 45f024e850e..ad32c83a788 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/.classpath
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/.classpath
@@ -1,7 +1,7 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<classpath>
- <classpathentry kind="src" path="src"/>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5"/>
- <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
- <classpathentry kind="output" path="bin"/>
-</classpath>
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+ <classpathentry kind="src" path="src"/>
+ <classpathentry kind="output" path="bin"/>
+</classpath>
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/.settings/org.eclipse.jdt.core.prefs b/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/.settings/org.eclipse.jdt.core.prefs
index 4d72ad12656..94d61f00da6 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/.settings/org.eclipse.jdt.core.prefs
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/.settings/org.eclipse.jdt.core.prefs
@@ -1,7 +1,10 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.6
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_annotation=0
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/META-INF/MANIFEST.MF
index 2e635d91265..0f4d72429ce 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.query.ocl.metamodel/META-INF/MANIFEST.MF
@@ -14,5 +14,5 @@ Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.emf.facet.query.ocl.metamodel
;singleton:=true
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/.classpath b/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/.classpath
index 2d1a4302f04..ad32c83a788 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/.classpath
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/.classpath
@@ -1,7 +1,7 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5"/>
- <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
- <classpathentry kind="src" path="src"/>
- <classpathentry kind="output" path="bin"/>
-</classpath>
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+ <classpathentry kind="src" path="src"/>
+ <classpathentry kind="output" path="bin"/>
+</classpath>
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/.settings/org.eclipse.jdt.core.prefs b/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/.settings/org.eclipse.jdt.core.prefs
index 4d72ad12656..94d61f00da6 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/.settings/org.eclipse.jdt.core.prefs
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/.settings/org.eclipse.jdt.core.prefs
@@ -1,7 +1,10 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.6
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_annotation=0
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/META-INF/MANIFEST.MF
index 6fb1742acd8..bb1ca2a6e46 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.util.emf.ui/META-INF/MANIFEST.MF
@@ -34,5 +34,5 @@ Bundle-Activator: org.eclipse.papyrus.emf.facet.util.emf.ui.internal.A
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.emf.facet.util.emf.ui;singlet
on:=true
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/.classpath b/plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/.classpath
index 2d1a4302f04..ad32c83a788 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/.classpath
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/.classpath
@@ -1,7 +1,7 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/J2SE-1.5"/>
- <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
- <classpathentry kind="src" path="src"/>
- <classpathentry kind="output" path="bin"/>
-</classpath>
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+ <classpathentry kind="src" path="src"/>
+ <classpathentry kind="output" path="bin"/>
+</classpath>
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/.settings/org.eclipse.jdt.core.prefs b/plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/.settings/org.eclipse.jdt.core.prefs
index 4d72ad12656..94d61f00da6 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/.settings/org.eclipse.jdt.core.prefs
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/.settings/org.eclipse.jdt.core.prefs
@@ -1,7 +1,10 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.6
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_annotation=0
diff --git a/plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/META-INF/MANIFEST.MF b/plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/META-INF/MANIFEST.MF
index 6ff9a0f9b09..343d9e03cb9 100644
--- a/plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/META-INF/MANIFEST.MF
+++ b/plugins/facet/org.eclipse.papyrus.emf.facet.util.jface.ui/META-INF/MANIFEST.MF
@@ -13,5 +13,5 @@ Bundle-Activator: org.eclipse.papyrus.emf.facet.util.jface.ui.internal
.Activator
Bundle-ManifestVersion: 2
Bundle-SymbolicName: org.eclipse.papyrus.emf.facet.util.jface.ui
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6

Back to the top